Bug 1414506 (CVE-2016-10150)

Summary: CVE-2016-10150 Kernel: Kvm: a use-after-free while creating devices
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aquini, arm-mgr, bhu, dhoward, fhrbata, gansalmon, iboverma, ichavero, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, madhu.chinakonda, matt, mchehab, mcressma, nmurray, pholasek, plougher, rt-maint, rvrbovsk, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:05:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1414507    
Bug Blocks: 1413879    

Description Prasad J Pandit 2017-01-18 16:58:50 UTC
Linux kernel built with the Kernel-based Virtual Machine(CONFIG_KVM) support
is vulnerable to a use-after-free flaw. It could occur while creating devices,
via ioctl('/dev/kvm', ...) calls.

A user/process could use this flaw to crash the host kernel resulting in DoS
or potentially escalate their privileges on a system.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/a0f1d21c1ccb1da66629627a74059dd7f5ac9c61

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/01/18/10

Comment 1 Prasad J Pandit 2017-01-18 16:59:58 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1414507]

Comment 3 Prasad J Pandit 2017-01-18 17:03:32 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.

Comment 4 Justin M. Forbes 2017-01-18 17:17:49 UTC
This issue was corrected in 4.8.13 kernels available across all current fedora releases on 2016-12-12.